Home

# Class goog.ui.DimensionPicker

A dimension picker allows the user to visually select a row and column count using their mouse and keyboard. The currently selected dimension is controlled by an ACTION event. Event listeners may retrieve the selected item using the {@link #getValue} method.

extends goog.ui.Control

Instance Method Summary
| `disposeInternal()` Disposes of the component. Calls {@code exitDocument}, which is expected to remove event handlers and clean up the component. Propagates the call to the component's children, if any. Removes the component's DOM from the document unless it was decorated.
| `enterDocument()` Configures the component after its DOM has been rendered, and sets up event handling. Overrides {@link goog.ui.Component#enterDocument}.
| `exitDocument()` Cleans up the component before its DOM is removed from the document, and removes event handlers. Overrides {@link goog.ui.Component#exitDocument} by making sure that components that are removed from the document aren't focusable (i.e. have no tab index).
| `getSize() ⇒ ?goog.math.Size`
| `getValue() ⇒ ?goog.math.Size`
| `handleKeyEvent(?goog.events.KeyEvent e) ⇒ boolean` Handle key events if supported, so the user can use the keyboard to manipulate the highlighted rows and columns.
| `handleMouseMove(?goog.events.BrowserEvent e)` Handles mousemove events. Determines which palette size was moused over and highlights it.
| `handleShow_()` Resets the highlighted size when the picker is shown.
| `handleWindowResize(?goog.events.Event e)` Handles window resize events. Ensures no scrollbars are introduced by the renderer's mouse catcher.
| `setValue(number columns, number= opt_rows)` Sets the currently highlighted dimensions.